%define rname libbonobouimm

Summary: C++ wrappers for libbonoboui, for use with gtkmm.
Name: libbonobouimm2
Version: 1.3.5
Release: 0.dag
License: LGPL
Group: System Environment/Libraries
URL: http://gtkmm.sourceforge.net/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/home-made/apt/

Source: ftp://ftp.sourceforge.net/pub/sourceforge/gtkmm/%{rname}-%{version}.tar.gz
BuildRoot: %{_tmppath}/root-%{name}-%{version}
Prefix: %{_prefix}

BuildRequires: gtkmm2-devel >= 2.0, libbonobo-devel >= 2.0, ORBit2-devel >= 2.0

%description
libbonobouimm provides C++ wrappers for libbonoboui, for use with gtkmm.

%package devel
Summary: Headers for developing programs that will use %{rname}.
Group: Development/Libraries

%description devel
This package contains the static libraries and header files needed for
developing gtkmm applications.

%prep
%setup -n %{rname}-%{version}

%build
%configure \
	--enable-static \
	--enable-shared
%{__make}

%install
%{__rm} -rf %{buildroot}
%makeinstall

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root, 0755)
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/libbonobouimm-2.0/
%{_libdir}/libgnomemm-2.0/proc/m4/*
%{_libdir}/pkgconfig/*.pc
%{_includedir}/libbonobouimm-2.0/
%{_includedir}/libgnomemm-2.0/
%exclude %{_libdir}/*.la

%changelog
* Sat Mar 29 2003 Dag Wieers <dag@wieers.com> - 1.3.5-0
- Initial package. (using dar)
